<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>FirstName</th>
      <th>LastName</th>
      <th>Gender</th>
      <th>Birthday</th>
      <th>Age</th>
      <th>Roles</th>
    </tr>
    <tr *ngFor="let e of employees">
      <ng-template [ngIf]="employee?.id != e.id" [ngIfElse]="edit">
        <td>{{e.id}}</td>
        <td>{{e.firstName}}</td>
        <td>{{e.lastName}}</td>
        <td>{{e.gender}}</td>
        <td>{{e.birthday}}</td>
        <td>{{e.age}}</td>
        <td>{{e.roles}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectEmployee(e.id)"
                [disabled]="currentUser.checkIfAdmin" >
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteEmployee(e.id)"
                   [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearEmployee(); tableMode=false"
                 [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
      <td>

      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="employee.id" disabled />
    </div>
    <div class="form-group">
      <label>FirstName</label>
      <input class="form-control" [(ngModel)]="employee.firstName" />
    </div>
    <div class="form-group">
      <label>LastName</label>
      <input class="form-control" [(ngModel)]="employee.lastName" />
    </div>
    <div class="form-group">
      <label>Gender</label>
      <input class="form-control" [(ngModel)]="employee.gender" disabled />
    </div>
    <div class="form-group">
      <label>Birthday</label>
      <input class="form-control" [(ngModel)]="employee.birthday" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateEmployee(employee.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearEmployee()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="employee.id" disabled />
    </div>
    <div class="form-group">
      <label>FirstName</label>
      <input class="form-control" [(ngModel)]="employee.firstName" />
    </div>
    <div class="form-group">
      <label>LastName</label>
      <input class="form-control" [(ngModel)]="employee.lastName" />
    </div>
    <div class="form-group">
      <label>Gender</label>
      <input class="form-control" [(ngModel)]="employee.gender" />
    </div>
    <div class="form-group">
      <label>Birthday</label>
      <input class="form-control" [(ngModel)]="employee.birthday" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createEmployee(employee.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearEmployee()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
